(function(exports) {
    var publish_version = false,
	server,
	agentName = "wlyyAgentForDoc",
	userInfo = "userInfoForPay",
	userAgent = window.localStorage.getItem(agentName);//获取pcIM缓存
	
	var str = '{"id":4807,"uid":"xy201703150222","imei":"59CEFED1853D52ED","token":"baeb6ea8fee3b1b0503cd958192c8ca7","platform":4,"hospital":"3502050100"}'  
	window.localStorage.setItem(agentName,str)
	
    if(publish_version) { //生产环境配置
        server = ""  
    } else { //测试环境配置
        server = "http://172.19.103.88:9092/wlyy/"
    }

    function httpGet(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'GET',
                    dataType: 'JSON',
                    beforeSend: function(request) {
                    	var userAgent = window.localStorage.getItem(agentName);
                    	request.setRequestHeader("userAgent", userAgent);
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }

    function httpPost(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'POST',
                    dataType: 'JSON',
                    beforeSend: function(request) {
                    	var userAgent = window.localStorage.getItem(agentName);
                    	request.setRequestHeader("userAgent", userAgent);
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }

    httpRequest = {
    	server: server,
    	userInfo: userInfo,
    	agentName: agentName,
        get: function(url, options) {
        	return httpGet(url, options)
        },
        post: function(url, options) {
        	return httpPost(url, options)
        }
    }
    exports.httpRequest = httpRequest;
})(window)